Mulberry Change History (Unix)

v2.0.8 : 15-Mar-2001
Fixes
*Fixed bug with incorrect multi-user login user id being transferred to the email address when certain admin options are configured.

v2.0.7: 12-March-2001
Minor Changes
*Added support for spell checking using ISpell.
*Only a single instance of Mulberry (per-user) will now be launched, allowing mailto URLs to create drafts in an existing running copy of Mulberry without creating a whole new process.
*Added basic online help that includes the current FAQ page from out website.
*Added support for AdminTool configuration.
*Status window now uses the Mulberry application icon when collapsed.

Fixes
*Fixed bug with draft address parsing when parenthesis are in the phrase.
*Fixed bug with failure to expand when nick-name expansion is requested.
*Fixed bug with forward quotation adding an unwanted space when no quote character is set.
*Fixed bug with case-sensitive smart address testing of the default identity.
*Fixed bug with Open Addressbook command/button activation.
*Fixed bug with wildcard cabinet items in the copy to cabinet causing menu lock-up in disconnected mode.
*Fixed bug with SMTP queue window attempting to open when its locked out.
*Fixed bug causing a crash when parsing empty tags in styled text.
*Fixed bug with dealing with disconnected playback when certain operations are missing from the playback log.
*Fixed bug with parsing URLs that use the new IPv6 URL scheme for specifying a server address.
*Fixed bug in which a fake drag and drop operation would be triggered in the server window when collapsing a hierarchy while scrolled to the end of the list.
*Fixed bug with plugin registration failing when plugins are in a read-only directory.
*Fixed bug with Open Mailbox menu command not being triggered in all windows.
*Fixed bug causing a crash on startup when a previously configured open on startup local address book no longer exists.
*Fixed bugs related to improper parsing of the last line of the URL, MIME mapping files.
*Fixed bug causing a crash on SPARC when an explicit MIME mapping is setup in the preferences.
*Fixed bug in which single server/display hierarchy Copy To menu was not working.

v2.0.6: 02-February-2001
Fixes
*Fixed bug with intial state of deactivated identity edit copy to controls.
*Fixed bug causing a crash whenb using the Select popup in the mailbox
window in match mode.
*Fixed bug with failure to do copy's when using the copy to menu without
cabinets and multiple accounts.
*Fixed bug causing a crash while searching and a mail check is done on a
mailbox being searched.
*Fixed bug with pattern matching mailcap MIME entries.
*Fixed bug with flashing message counter caption in message window.
*Fixed bug preventing mailbox window context menu from appearing when copy to
sub-menu is refreshed.
*Fixed bug causing a crash when attempting to change a MIME mapping set in
the attachment preferences.
*Fixed bug with 8-bit (accented) characters failing to be counted as part of
a word when doing word-selection.
*Fixed bug causing a crash when quitting with an open local address book.

v2.0.6b4: 28-January-2001
Fixes
*Fixed bug with address expansion when typing return in single line address
field.
*Fixed bug with parsing addresses with a name component that starts with a
parenthesis.
*Fixed bug with search criteria data field not appearing properly.
*Fixed bug with nested LIST commands during startup.
*Fixed bug with searching the contents of the first header in a local mailbox.
*Fixed bug with deleting mail accounts to only leave one.
*Fixed bug with message number counter in message window when total message
count exceeds 9999.
*Fixed preferences dialog to delay font lookup until font panel is actually
shown.

v2.0.6b3: 25-January-2001
Minor Changes
*Added support for application launching using mailcap file.
*Plugins search now includes /usr/lib/mulberry and /usr/local/lib/mulberry if
present.
*-u command line switch no longer requires mailto: prefix to generate a draft.
*Added preference to control selection/hilite colour in text and lists.

Fixes
*Fixed bug causing a crash on quit after swicthing preference sets.
*Fixed bug with Delete and Read Next menu title being changed.
*Fixed bug with draft window header redraw.
*Fixed bug with failure to do display updates while network ops are in progress.
*Fixed various thread problems causing seg faults with new mail arrivals and
mailbox windows.

v2.0.6b2: 08-December-2000
Fixes
*Fixed bug with delete/copy next in message window causing a crash.

v2.0.6b1: 29-November-2000
Fixes
*Fixed bug with handling of Compose key on Solaris.
*Fixed bug with Close/Quit alert appearing when switching preference sets.
*Fixed bug causing an assert when bouncing a message and the defaul signature
length is larger than the bounce text.
*Fixed bug with reading of Mac/Win32 format address books.
*Fixed bug causing a crash when cancelling the initial registration dialog.
*Fixed bug with Home/End not selecting the appropriate row in a table.
*Fixed bug with ctrl-backspace behaviour in text fields.
*Fixed bug where HTML font size was not relative to the size set in the
preferences.
*Fixed bug in which local address books would not open at startup.
*Fixed bug with improper naming of incoming attachments.
*Fixed bug in which insertion point would move while scrolling a text area.
*Fixed bug in which dragging an address to an empty address field would insert
an unwanted linefeed.
*Fixed bugs with drag and drop in draft window parts table.
*Fixed bug to ensure draft window title is always updated based on subject as
it is typed.
*Fixed bug in which error during drag and drop would prevent further drag
operations or cause an assert.
*Fixed bug in which text select all would not copy to the X-clipboard.
*Fixed bug with missing copy to sub-menu in mailbox context menu.
*Fixed bug causing a crash on exit after using the No Copy button in the
draft mailbox choose dialog.
*Fixed bug causing a crash when a message window is switched from one mailbox
to another with the parts list expanded.
*Fixed bug to ensure smart address click-auto-match now uses proper smart
address.
*Fixed bug in which shift-tab would not focus back on the subject field in a
draft window.
*Fixed bug in which real name part of default identity was being used in the
smart address test.
*Fixed bug with use of proper key modifier mappings.
*Fixed a bug causing a crash when decrypting a message for which no private
key exists.
*Fixed various bugs related to ACAP address book searching.
*Fixed various bugs related to handling table tags in HTML
*Fixed bug in which single '&' in HTML would not be displayed as such.
*Fixed bug with preferences dialog panel/button changes when failing to
switch to remote prefs.

v2.0.6a8: 30-October-2000 (includes fixes/changes from Mac/Win32 v2.0.5 release)
Fixes
*Fixed bug with static text items triggering save to X-clipboard.
*Fixed bug with asserts when opening a message with illegal control
characters in it.
*Fixed bug with spurious linefeed inserted into bounce headers.
*Fixed bug with lcoalised date being used for RFC822 date header.
*Fixed bug with short date being shown in message window date fields.
*Fixed bug with enabling of context menu items in address search window.
*Fixed bug with flat/hierarchic button state in message window parts list.
*Fixed bug with text focus loss after auto-parts expand in message window.
*Fixed bug with XErrors when increasing the size of a mailbox window so that
it forces message caching.
*Fixed bug with GPG plugin 'missing virtual method' on some platforms.

v2.0.5a7: 6-October-2000 (see also Mac/Win32 v2.0.5b3 release notes)
Fixes
*Fixed bug with verification of detached signatures.
*Fixed bug with failure to bring address book manager to the top when menu
item selected.
*Fixed bug with failure to notice PAPERSIZE environment variable.
*Fixed bug thatcould cause a crash immediately after a send when the draft
window is being closed.
*Fixed bug with mouse-up events being list after a double-click that
generates network activity.
*Fixed bug with Select All not triggering automatic copy to primary clipboard.
*Fixed bug with password field being locked even though no password is set.

v2.0.5a6: 27-September-2000
Major Changes
*Added support for SSL (as per Mac/Win32 2.0.5b2 release).
*Added support for PGP via GNUpg (which must be installed on the local
machine).

Minor Changes
*Can now print messages from the message or draft windows.
*Added 'No Copy' support to mailbox browse dialog initiated from draft window.
*Esc key can now be used to cancel network operations in progress.
*Enabled clipboard Cut/Copy/Paste of addresses and groups in the address book
window.

Fixes
*Fixed bug causing clipboard data to be copied when no user action takes place.
*Fixed bug with Check button not responding in Server window.
*Fixed bug causing assertion for mail messages containing undisplayable
characters.
*Fixed bug with pasting data from other apps.
*Fixed bug with disabled context menus in address book window.
*Fixed bug allowing search window to be maximised when it should be fixed size.
*Fixed bug causing occasional asserts when new mail check thread updates
server window.

v2.0.5a5: 30-August-2000
Minor Changes
*Now detects network interface status and generates connected/disconnected
dialog on startup if no interface is available.
*Can now do auto-dial/hangup using pppd process initiated via a script
(see Unix FAQ for more details). This is also used to detect possible
dial-up when first starting Mulberry.
*Now has multiple Undo/Redo capability in text areas.
*Added Open Draft command support.
*Can now save messages to disk as text files.
*Changed file extension re-mapping procedure to honor multiple extensions
in mime.types file, and to prevent re-mapping for application/octet-stream
attachments.
*Added -d/--disconnect command line switch to force connect/disconnect
startup prompt.
*Cut/copy/paste and unix copy-select behaviour now split to use different
X clipboards to be consistent with other apps.
*Can now drag and drop from the file manager into a draft parts table.
*Changed X WM_COMMAND to 'mulberry' from 'jxapp'.
*Kerberos V4, GSSAPI plugins now available for Solaris/SPARC.

Fixes
*Fixed bug with non-responsive identity popup in account sub-panels in
preferences.
*Fixed bug with failure to activate last sub-menu in a context menu.
*Fixed bug with incorrect order of WM_Class items.
*Fixed bug with multiple paste as quotation commands being triggered.
*Fixed bug with non-responsive Forward button in mailbox window.
*Fixed bug with hierarchy item in create mailbox dialog that should not
have been editable.
*Fixed bug with line end fotrmat of drafts saved to disk.
*Fixed bug with failure to synd changes back to the local prefs initially
used when starting up.
*Fixed bug with behaviour of Home/End keys in text controls.
*Fixed bug with alerts in worker threads causing Xlib errors.
*Fixed bug with failure to update changes to draft parts propereties.
*Fixed bug with failure to generate connect 'tickle's while dialogs/alerts
are on screen.
*Fixed bug with assert generated when more than one alert tries to display
on screen.
*Fixed bug with context menus in text controls.
*Fixed bug with segfaults when some error dialogs are shown.
*Fixed bug with assert generated in disconnect dialog and search window
when mailbox list is empty.
*Fixed bug with closed status window causing segfaults when menus are updated.
*Fixed bug with inactive account popup in SMTP queue window.
*Fixed bug with address choose dialog from an address window using 'reply'
mode.
*Fixed bug with processing of New Message command in address book windows.
*Fixed bug with missing Synchronise and Clear Disconnected commands in
address book window.
*Fixed bug with lists failing to auto-scroll during a drag.
*Fixed so that URL launches are only triggered by a left-mouse button click.
*Fixed bug with criteria updates when selecting search sets in the search
window.
*Fixed bug with drag and drop from external source into an address field in
the draft window.
*Fixed bug with message window sometimes failing to respond to space bar
presses.
*Fixed bug with mailbox window being raised above message window when moving
from the last new message in one mailbox to the first in another.
*Fixed bug with identity edit dialog items not deactivating when Active
checkbox is turned off.
*Fixed bug with slow updating of windows when a dialog or alert is displayed
and dragged.

v2.0.4a4: 28-July-2000
Major Changes
*Solaris8 SPARC & x86 versions now available!
*Added address book manager window and associated dialogs.
*Added address search window - includes LDAP support.
*Added 'new-look' address book window (matching feature does not work right
now) and associated dialogs.
*Added support for all currently available address import/export plugins.
*Added status window.

Minor Changes
*Added icons for each window type, which display when windows are iconised.
*Can drag attachments out of message parts table (only within Mulberry).
*Added draft parts properties dialog.
*Enabled drag and drop in draft parts list.
*Added mulberry.png/xpm 48x48 pixel icon files for use on toolbars.
*Added ESound support - requires libesd and libaudiofile. Enter full path
name to sound file in preferences.

Fixes
*Fixed bug with reseting message window state when header is collapsed.
*Fixed bug with unhandled C++ excpetions causing application termination.
*Fixed bug with missing socket error strings.
*Fixed bug with window state saving when quitting.
*Fixed bug with drag and drop of messages to text fields.
*Fixed bug with missing window title for signature/headers edit.
*Fixed bug with right-mouse click selecting weird range of cells in tables.
*Fixed bug with Preferences dialog expand/collapse on CDE.
*Fixed bug with doing address expansion via keyboard or menu.
*Fixed bug with determination of user id in Kerberos plugin.
*Fixed bug with inactive commands in message window.
*Fixed bug with failure to cancel the new identity dialog.
*Fixed bug in which server context was not mapped to proper error string.
*Fixed bug with attachments on little endian (x86) machines.
*Fixed bug with disconnect dialog expand/collapse on CDE.

NB Relevant changes in Mulberry v2.0.3 for Mac OS/Win32 have also been
incorporated into this unix release, but are not listed above.

v2.0.1a3: 30-June-2000
Fixes
*Fixed bug with inability to create ~/.jx_globals.pref for first time users.

v2.0.1a2: 28-June-2000
Major Changes
*Added message search window.
*Added disconnect/connect dialog.
*Added synchronise dialog.

Minor Changes
*Added window manager class and type information to all windows.
*Added context menus to most windows.

Fixes
*Fixed bug with drag and drop in identities list in preferences dialog.
*Fixed bug with paste as quotation not being active in draft window.
*Fixed bug with parts field being an input field in the draft window.
*Fixed bug with failure to fill in To address when clicking on a mailto URL.
*Fixed bug with dynamic instead of statically linked K4 libraries.
*Fixed bug with quoting of replies containing paragraph breaks.
*Fixed bug with failure to startup properly on 8-bpp x-displays.
*Fixed bugs with tabbing between fields in the message and draft windows.
*Fixed bug with failure to insert tabs in draft body.
*Fixed bug with incorrect timezone in dates generated by Mulberry.
*Fixed bug with failure to update identity popup in drafts when identities
changed in prefs.
*Fixed bugs causing termination when network errors occur.
*Fixed bug with quotation highlighting in message window.
*Fixed bug with typing a return in a multiline input field in a dialog with
return as a shortcut for the OK button.
*Fixed bug with inactive Forward button.
*Fixed bug with changes to the ip address of the first account in the
preferences not being remembered when switching to another account.
*Fixed bug in which Find would not scroll to the text selection if it was
out of view.

NB Relevant changes between Mulberry v2.0 and v2.0.1 for Mac OS/Win32 have
also been incorporated into this unix release, but are not listed above.

v2.0.1a1 : 24-May-2000
*First alpha release.
